summaryrefslogtreecommitdiff
path: root/extensions/tar.write
diff options
context:
space:
mode:
authorFirehose merge bot <firehose@merge.bot>2015-09-11 13:53:54 +0000
committerFirehose merge bot <firehose@merge.bot>2015-09-11 13:53:54 +0000
commit81485b0e89b4dede26e9bc44e3afb9433365a914 (patch)
treed426a67c30e5cb2a317a7bcdd4dd4ecad41515cc /extensions/tar.write
parent5e12d63d0b57b1955bbb75c4712c5c8ee66f8891 (diff)
downloaddefinitions-81485b0e89b4dede26e9bc44e3afb9433365a914.tar.gz
Firehose test commit
Diffstat (limited to 'extensions/tar.write')
-rwxr-xr-xextensions/tar.write20
1 files changed, 20 insertions, 0 deletions
diff --git a/extensions/tar.write b/extensions/tar.write
new file mode 100755
index 00000000..01b545b4
--- /dev/null
+++ b/extensions/tar.write
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Copyright (C) 2013,2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# A Morph write extension to deploy to a .tar file
+
+set -eu
+
+tar -C "$1" -cf "$2" .